<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizTodoTaskViewMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizTodoTaskView">
        <result column="create_time" property="createTime" />
        <result column="task_id" property="taskId" />
        <result column="task_name" property="taskName" />
        <result column="task_desc" property="taskDesc" />
        <result column="deadline" property="deadline" />
        <result column="todo_user" property="todoUser" />
        <result column="login_user" property="loginUser" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
        <result column="sub_task_id" property="subTaskId" />
        <result column="sub_task_name" property="subTaskName" />
        <result column="priority" property="priority" />
        <result column="ustatus" property="ustatus" />
        <result column="finish_time" property="finishTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, task_id, task_name, task_desc, deadline, todo_user, login_user, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state, sub_task_id, sub_task_name, priority, ustatus, finish_time
    </sql>

</mapper>
